.titleBar { margin-bottom: 5px!important; }

Asterisk bei Versuch über ISDN zu telefonieren "Killed&

Dieses Thema im Forum "Asterisk ISDN mit CAPI (chan_capi, chan_capi_cm)" wurde erstellt von studti, 21 Okt. 2004.

  1. studti

    studti Neuer User

    Registriert seit:
    1 Okt. 2004
    Beiträge:
    1
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo,

    versuche jetzt seit einiger Zeit Asterisk zu installieren.
    So weit bin ich gekommen:
    Asterisk startet
    Gespräche zwischen 2 SIP Telefonen funktionieren

    Aber sobald ich einen Anruf über die ISDN-Karte annehmen möchte oder über die ISDN-Karte raustelefonieren will wird Asterisk gekillt (Sobald der Angerufene abnimmt)

    Konfiguration:
    Gentoo Linux 2.6.9-rc4-mm1 #1 SMP Wed Oct 20 13:27:13 CEST 2004 i686 Pentium III (Coppermine) GenuineIntel GNU/Linux
    ISDN FritzKarte PCI mit AVM Capi-Treibern direkt am NTBA (Internetverbindung aufbauen geht)
    Asterisk 1.0.0 mit chan_capi0.3.5 (gleiches Problem mit Asterisk 0.9 chan_capi0.3.4 und mit Asterisk 1.0.1 mit chan_capi0.3.5)
    mpg123 Version 0.59r

    lsmod:
    capi.conf
    Code:
    ;
    [general]
    nationalprefix=0
    internationalprefix=00
    rxgain=0.8
    txgain=0.8
                                                                                                                                   
    [interfaces]
    msn=xx
    incomingmsn=xx
    controller=1
    softdtmf=1
    accountcode=
    context=demo
    devices=2
    
    Da es irgendwie keine Fehlermeldung gibt (nur "Killed") weiß ich nicht nach was ich noch suchen soll.
    Was könnte ich noch versuchen? Oder hat jemand eine ähnliche Konfiguration (Gentoo, Kernel 2.6, Asterisk, Capi).
     
  2. qr123de

    qr123de Neuer User

    Registriert seit:
    21 Dez. 2005
    Beiträge:
    6
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    ich hab auch das problem.

    bzw sobald er einen ruf aufbauen soll. (sip zu capi=>amt)

    konntest du es lösen?
     
  3. armincm

    armincm Aktives Mitglied

    Registriert seit:
    3 Aug. 2005
    Beiträge:
    1,006
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ich schlage vor chan_capi zu erneuern. 0.3.x ist sehr alt und hat bekannte Probleme.
    chan_capi ist auf sourceforge.net zu bekommen.
    Achtung: die config und der Dial-String haben sich aber veraendert, README lesen.

    Armin